Skip to content

bots.summary

Ids and names only, for pickers.

Reference

GET/api/v1/workflows/summary

Auth
API key in X-API-Key
Content
none
Returns
200 · WorkflowSummaryResponse[]

Get minimal workflow information (id and name only) for all workflows

Arguments

ArgumentInTypeRequiredDescription
statusquerystringoptionalFilter by status (e.g. 'active' or 'archived'). Omit to return all.

Example request

curl -X GET "https://api.decibyl.ai/api/v1/workflows/summary" \
  -H "X-API-Key: dcb_your_key"

Response

[
  {
    "id": 1,
    "name": "string",
    "workflow_uuid": "string"
  }
]

Errors

StatusWhen
404Not found
422Validation Error